# Uses of Enum
org.apache.qpid.proton.engine.EndpointState

Packages that use EndpointState
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of EndpointState in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return EndpointState
Modifier and Type
Method
Description
`EndpointState`
Endpoint.`getLocalState()`
`EndpointState`
Endpoint.`getRemoteState()`
`static EndpointState`
EndpointState.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static EndpointState[]`
EndpointState.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Method parameters in org.apache.qpid.proton.engine with type arguments of type EndpointState
Modifier and Type
Method
Description
`Link`
Connection.`linkHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
Returns the head of the list of links in the specified states.
`Link`
Link.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Session`
Session.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Session`
Connection.`sessionHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
Returns the head of the list of sessions in the specified states.

## Uses of EndpointState in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return EndpointState
Modifier and Type
Method
Description
`EndpointState`
EndpointImpl.`getLocalState()`
`EndpointState`
EndpointImpl.`getRemoteState()`
Method parameters in org.apache.qpid.proton.engine.impl with type arguments of type EndpointState
Modifier and Type
Method
Description
`Link`
ConnectionImpl.`linkHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Link`
LinkImpl.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Session`
SessionImpl.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Session`
ConnectionImpl.`sessionHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`